Name:Finncast Teleprompter
 
Version:1.0.0.1
 
Publisher:Finncast
 
The following prerequisites are required:
 
  • Windows Installer 4.5
  • Microsoft .NET Framework 4 (x86 and x64)
 
Install
 
Finncast Customer Support    ::